Subject: Re: StGIT 0.13 recognizes but not list packed StGIT controlled branches

From: Jakub Narebski <[email-masked]>
Date: Mon, 19 Nov 2007 12:57:07 +0100

Catalin Marinas wrote:
> On 18/11/2007, Jakub Narebski <[email-masked]> wrote:
>
> > I use Stacked GIT 0.13 with git 1.5.3.5 (and Python 2.4.3).
> > StGIT does recognize old StGIT branches (and converts them),
> > but "stg branch -l" list only one branch. I guess that is
> > cause by the fact that all the rest of branches are packed.
> 
> Have you tried the latest StGIT snapshot? We added support for this
> and it will be available in 0.14 (to be released pretty soon).

Would it work with Python 2.4.3? Yes, I know I should upgrade my
Linux distribution (I use now Aurox 11.1, which is based on Fedora
Core 4)...
 
> > Another StGIT question: how to check if given branch is controlled
> > by StGIT (needed for my bash prompt)?
> 
> 'stg branch -l' lists the branches and marks those controlled by
> StGIT. For a simple test, just use a command which would fail on
> non-stgit branches (stg id base). Yet another way is to check for the
> presence of '.git/patches/<branch>'.

Thanks. 'stg id base' is quite a lot slower than 
'test -e "$(git rev-parse --git-dir)/patches/$branch"', and it _does_
matter in prompt creating.

-- 
Jakub Narebski
Poland